For the complete documentation index, see llms.txt. This page is also available as Markdown.

Accounting

Retrieve accounting payments list

get

Extract information about accounting payments with filtering and pagination options.

Query parameters
Statusstring · enumOptional

Payment status filter. Possible values: ALL, PAID, PARTIAL_PAID, UNPAID, CANCELED

Default: ALLExample: PAIDPossible values:
InvoiceDatestring · enumOptional

Invoice date interval filter. Possible values: anytime, today, yesterday, last7Days, last30Days, currentMonth, lastMonth, lastYear, custom

Default: last30DaysExample: last30DaysPossible values:
InvoiceDateStartDatestringOptional

Invoice date start date (required when InvoiceDate is "custom"). Format: YYYY-MM-DD

Example: 2026-01-01Pattern: ^\d{4}-\d{2}-\d{2}$
InvoiceDateEndDatestringOptional

Invoice date end date (required when InvoiceDate is "custom"). Format: YYYY-MM-DD

Example: 2026-01-31Pattern: ^\d{4}-\d{2}-\d{2}$
PaidOnstring · enumOptional

Paid on interval filter. Possible values: anytime, today, yesterday, last7Days, last30Days, currentMonth, lastMonth, lastYear, custom

Default: anytimeExample: lastMonthPossible values:
PaidOnStartDatestringOptional

Paid on start date (required when PaidOn is "custom"). Format: YYYY-MM-DD

Example: 2026-01-01Pattern: ^\d{4}-\d{2}-\d{2}$
PaidOnEndDatestringOptional

Paid on end date (required when PaidOn is "custom"). Format: YYYY-MM-DD

Example: 2026-01-31Pattern: ^\d{4}-\d{2}-\d{2}$
TransactionTypestring · enumOptional

Transaction type filter. Possible values: ALL, SALES, SERVICES, ADJUSTMENTS, DISPUTES, ROLLING_RESERVE, AFF_COMM, PO

Default: ALLExample: SALESPossible values:
Pageinteger · min: 1Optional

Page number for pagination. Default value is 1.

Default: 1Example: 1
Limitinteger · min: 1 · max: 200Optional

Number of results per page. Default value is 100. Maximum value is 200.

Default: 100Example: 100
Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Responses
200

OK

application/json
get/payments/
GET /rest/6.0/payments/ HTTP/1.1
Host: api.2checkout.com
Accept: application/json
X-Avangate-Authentication: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
{
  "Data": [
    {
      "InvoiceType": "Regular",
      "DueDate": "2026-02-15",
      "PaidOn": "2026-02-10",
      "Status": "Paid",
      "Amount": 100,
      "Currency": "USD",
      "Balance": 0,
      "Downloads": {
        "Html": "text",
        "Xml": "text",
        "Invoice": "text",
        "Orders": "text"
      },
      "Actions": [
        {
          "Website": "https://example.com",
          "PeriodStart": "2026-01-01",
          "PeriodEnd": "2026-01-31",
          "PeriodCurrency": "USD",
          "ConvertedAmount": 100,
          "ConvertedCurrency": "USD",
          "DownloadLinks": {
            "ProductsOverview": "text",
            "ProductsReport": "text",
            "OrdersOverview": "text",
            "ChargebacksReport": "text"
          }
        }
      ]
    }
  ],
  "Pagination": {
    "Page": 1,
    "Limit": 100,
    "Count": 150
  }
}

Download a payment-related file

get

Downloads a file associated with an accounting payment record using a signed token. Tokens are obtained from the Downloads field in the /accounting/payments/ response. Supported download types: html (HTML invoice), xml (XML invoice), pdf (PDF invoice), orders (CSV fee details), file (static report files from Actions).

Query parameters
tokenstringRequired

Signed download token obtained from the Downloads or DownloadLinks field of a payment record. No authentication header is required — the signed token is the sole authentication mechanism.

Responses
200

File content

string · binaryOptional
get/accounting/payments/download/
GET /rest/6.0/accounting/payments/download/?token=text HTTP/1.1
Host: api.2checkout.com
Accept: */*
binary

Retrieve payouts

get

Retrieve list of payouts for your merchant account and their status.

Query parameters
ReferencestringOptional

InvoicePrefix (PREFIX) + InvoiceNo (00000) will search for transfers containing an invoice with prefix + number

Example: CR130222
Statusstring · enumOptional

Payout status. Array of strings. Possible values: PAID,PARTIALLY_PAID,CANCELED

Example: ["PAID","PARTIALLY_PAID","CANCELED"]Possible values:
CurrencystringOptional

3 letter ISO currency code

Example: USD
StartDatestringOptional

Start payment date. Format: yyyy-mm-dd

Example: 2019-02-14
EndDatestringOptional

End payment date. Format: yyyy-mm-dd

Example: 2019-11-14
PaymentTypestring · enumOptional

Payment type. Can be one of "WIRE", "PAYPAL", "CHECK", "PAYONEER", "WEBMONEY" or "INTERNATIONAL_WIRE"

Example: WIREPossible values:
OrderBystring · enumOptional

This parameter orders payouts. The only parameter allowed is "TransferCompletionDate". The preceding "-" sign means order by DESC, ommit it for searching ASC

Example: -TransferCompletionDatePossible values:
PageintegerOptional

Page number

Example: 3
LimitintegerOptional

Number of results on a page

Example: 25
Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Responses
200

Search payouts object

application/json
get/payouts/
GET /rest/6.0/payouts/ HTTP/1.1
Host: api.2checkout.com
Accept: application/json
X-Avangate-Authentication: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
{
  "Items": [
    {
      "TransferCompletionDate": "2019-02-27",
      "PaymentType": "WIRE",
      "Amount": 13,
      "TotalSales": 1,
      "TotalFees": 1,
      "TotalRefunds": 0,
      "Currency": "USD",
      "Status": "PAID",
      "Invoices": [
        {
          "Reference": "BV27877349",
          "Amount": 2.5,
          "Description": "some description",
          "Type": "Services",
          "Code": "123CV13",
          "Date": "2018-08-20",
          "PaidAmount": 2.5,
          "PaidDate": "2019-02-28",
          "PaidCurrency": "USD",
          "RetainedAmount": 1,
          "ReleasedAmount": 1
        }
      ],
      "Summary": {
        "ServicesAmount": 0,
        "PurchaseOrdersAmount": 0,
        "ChargeBacksAmount": 0,
        "RollingReserveAmount": 0,
        "PeriodNetSales": 0,
        "VendorToVendor": 0,
        "ChargeBackFund": 0
      }
    }
  ],
  "Pagination": {
    "Page": 1,
    "Limit": 10,
    "Count": 12
  }
}

Retrieve account balance

get

Retrieve the account balance situation for your merchant account.

Query parameters
CurrencystringOptional

Use this parameter to show the balance only for a single order currency. If not sent, or sent as NULL, 2Checkout sends the balance for all order currencies

Example: USD
TotalCurrencystringOptional

Use this parameter to show the total account balance in the preferred currency. If not sent, or sent as NULL, 2Checkout sends the total balance in the default account currency

Example: EUR
Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Responses
200

Pending payout object

application/json
get/payouts/pending/
GET /rest/6.0/payouts/pending/ HTTP/1.1
Host: api.2checkout.com
Accept: application/json
X-Avangate-Authentication: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
{
  "Currencies": [
    {
      "Currency": "USD",
      "OrdersTotal": {
        "estore": 12,
        "affilietes": 10,
        "partner": 7,
        "total": 29
      },
      "RetainedToDisputesBalance": 0,
      "ReleasedFromDisputesBalance": 0,
      "RetainedToRollingReserveBalance": 5.18,
      "ReleasedFromRollingReserveBalance": 0,
      "ChargebackFees": 0,
      "ProcessingFees": 0,
      "AffiliatesCommission": 0,
      "TaxCollected": 0,
      "EstimatedTotalRevenue": -5.18
    }
  ],
  "Total": {
    "Currency": "AUD",
    "OrdersTotal": {
      "estore": 258.12,
      "affilietes": 13.1,
      "partner": 7.7,
      "total": 278.92
    },
    "RetainedToDisputesBalance": 0,
    "ReleasedFromDisputesBalance": 0,
    "RetainedToRollingReserveBalance": 27.39,
    "ReleasedFromRollingReserveBalance": 0,
    "ChargebackFees": 0,
    "ProcessingFees": -20.97,
    "AffiliatesCommission": 0,
    "TaxCollected": -18.83,
    "EstimatedTotalRevenue": 190.93
  }
}

Last updated

Was this helpful?